clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Functions
clang::tidy::google Namespace Reference

## Namespaces
| build
| readability
| runtime

## Classes
class | ExplicitConstructorCheck
| Checks that all single-argument constructors are explicit. More...
class | GoogleModule

## Functions
static SourceRange | FindToken (const SourceManager &Sources, LangOptions LangOpts, SourceLocation StartLoc, SourceLocation EndLoc, bool(*Pred)(const Token &))
static bool | declIsStdInitializerList (const NamedDecl *D)
static bool | isStdInitializerList (QualType Type)
static ClangTidyModuleRegistry::Add < GoogleModule > | X ("google-module","Adds Google lint checks.")

## Function Documentation

static bool clang::tidy::google::declIsStdInitializerList | ( | const NamedDecl * | D | ) |
| static

Definition at line 55 of file ExplicitConstructorCheck.cpp.

Referenced by isStdInitializerList().

static SourceRange clang::tidy::google::FindToken | ( | const SourceManager & | Sources,
|  | LangOptions | LangOpts,
|  | SourceLocation | StartLoc,
|  | SourceLocation | EndLoc,
|  | bool(*)(const Token &) | Pred
| ) |  |
| static

Definition at line 32 of file ExplicitConstructorCheck.cpp.

References File.

Referenced by clang::tidy::google::ExplicitConstructorCheck::check().

static bool clang::tidy::google::isStdInitializerList | ( | QualType | Type | ) |
| static

Definition at line 62 of file ExplicitConstructorCheck.cpp.

References declIsStdInitializerList().

Referenced by clang::tidy::google::ExplicitConstructorCheck::check().

static ClangTidyModuleRegistry::Add<GoogleModule> clang::tidy::google::X | ( | "google-module" | ,
|  | "Adds Google lint checks." |
| ) |  |
| static